<?
	include("../../php_scripts/connect_database.php");
	include("../php_scripts/pdf_wordarray_thaicut.php");
	include("../../php_scripts/calendar_data.php");
	include ("../php_scripts/function_share.php");

	define('FPDF_FONTPATH','../../PDF/font/');
	include ("../../PDF/fpdf.php");
	include ("../../PDF/pdf_extends_DPIS.php");

	ini_set("max_execution_time", $max_execution_time);
	
	$db_dpis2 = new connect_dpis($dpisdb_host, $dpisdb_name, $dpisdb_user, $dpisdb_pwd);

	if($_GET[NUMBER_DISPLAY])	$NUMBER_DISPLAY = $_GET[NUMBER_DISPLAY];
	if($search_per_type == 1 || $search_per_type == 5){
		$position_table = "PER_POSITION";
		$position_join = "a.POS_ID=b.POS_ID";
		$line_table = "PER_LINE";
		$line_code = "PL_CODE";
		$line_name = "PL_NAME";
	}elseif($search_per_type == 2){
		$position_table = "PER_POS_EMP";
		$position_join = "a.POEM_ID=b.POEM_ID";
		$line_table = "PER_POS_NAME";
		$line_code = "PN_CODE";
		$line_name = "PN_NAME";	
	}elseif($search_per_type == 3){
		$position_table = "PER_POS_EMPSER";
		$position_join = "a.POEMS_ID=b.POEMS_ID";
		$line_table = "PER_EMPSER_POS_NAME";
		$line_code = "EP_CODE";
		$line_name = "EP_NAME";	
	}elseif($search_per_type == 4){
		$position_table = "PER_POS_TEMP";
		$position_join = "a.POT_ID=b.POT_ID";
		$line_table = "PER_TEMP_POS_NAME";
		$line_code = "TP_CODE";
		$line_name = "TP_NAME";	
	} // end if

	$KF_CYCLE = $search_kf_cycle;
	if(trim($search_budget_year)){ 
		if($KF_CYCLE == 1){
			$START_DATE = ($search_budget_year - 543) . '-04-01';
			$KF_START_DATE = '1 .. ' . ($search_budget_year - 1);
			$KF_END_DATE = '31 .. ' . $search_budget_year;
			$SIGN_START_DATE1 = (($search_budget_year -1) - 543) . '-10-01';
			$SIGN_END_DATE1 = ($search_budget_year - 543) . '-03-31';
		}elseif($KF_CYCLE == 2){
			$START_DATE = ($search_budget_year - 542) . '-10-01';
			$KF_START_DATE = '1 .. ' . $search_budget_year;
			$KF_END_DATE = '30 .. ' . $search_budget_year;
			$SIGN_START_DATE1 = ($search_budget_year - 543) . '-04-01';
			$SIGN_END_DATE1 = ($search_budget_year - 543) . '-09-30';
		} // end if
	} // end if

	if(in_array("PER_ORG", $list_type)){
		if($select_org_structure==1){	//Ѻͺ§ҹ
			if(trim($search_org_ass_id)){	$search_org_id=trim($search_org_ass_id);		}	
			if(trim($search_org_ass_id_1)){	$search_org_id_1=trim($search_org_ass_id_1);		}
			if(trim($search_org_ass_id_2)){	$search_org_id_2=trim($search_org_ass_id_2);		}
		}
		if(trim($search_org_id)){ 
			if($select_org_structure==0) $arr_search_condition[] = "(b.ORG_ID = $search_org_id)";
			else if($select_org_structure==1) $arr_search_condition[] = "(a.ORG_ID = $search_org_id)";
		} // end if
		if(trim($search_org_id_1)){ 
			if($select_org_structure==0) $arr_search_condition[] = "(b.ORG_ID_1 = $search_org_id_1)";
			else if($select_org_structure==1) $arr_search_condition[] = "(a.ORG_ID_1 = $search_org_id_1)"; 
		} // end if
		if(trim($search_org_id_2)){ 
			if($select_org_structure==0) $arr_search_condition[] = "(b.ORG_ID_2 = $search_org_id_2)";
			else if($select_org_structure==1) $arr_search_condition[] = "(a.ORG_ID_2 = $search_org_id_2)";
		} // end if
	}else{
		if($DEPARTMENT_ID){
			$arr_search_condition[] = "(a.DEPARTMENT_ID = $DEPARTMENT_ID)";
		}elseif($MINISTRY_ID){
			$cmd = " select ORG_ID from PER_ORG where ORG_ID_REF=$MINISTRY_ID ";
			if($select_org_structure==1) $cmd = str_replace("PER_ORG", "PER_ORG_ASS", $cmd);
			$db_dpis->send_cmd($cmd);
			while($data = $db_dpis->get_array()) $arr_org_ref[] = $data[ORG_ID];

			$arr_search_condition[] = "(a.DEPARTMENT_ID in (". implode($arr_org_ref, ",") ."))";
		}elseif($PROVINCE_CODE){
			$PROVINCE_CODE = trim($PROVINCE_CODE);
			$arr_search_condition[] = "(trim(b.PV_CODE) = '$PROVINCE_CODE')";
		} // end if
	} // end if
	if(count($arr_search_condition)) $search_condition = " and ". implode(" and ", $arr_search_condition);
	
	$unit="mm";
	$paper_size="A4";
	$lang_code="TH";
	$company_name = "";
	$report_title = "";
	$report_code = "R04065";
	$orientation='P';

//	session_cache_limiter("nocache"); 
	session_cache_limiter("private");
	session_start();

	$pdf = new PDF($orientation,$unit,$paper_size,$lang_code,$company_name,$report_title,$report_code,$heading,$heading_width,$heading_align);
	
 	$pdf->Open();
	$pdf->SetMargins(5,5,5);
	$pdf->AliasNbPages();
	$pdf->AddPage();
	$pdf->SetTextColor(0, 0, 0);
	$pdf->SetFont($font,'',18);
	
	$page_start_x = $pdf->x;	  $page_start_y = $pdf->y;
	
	//#### ֧ ####//
	function getPIC_SIGN($PER_ID,$PER_CARDNO){
		global $db_dpis , $db_dpis2;
	
		$PIC_SIGN="";
		//ٻ
		$cmd = "	select 		*
									  from 		PER_PERSONALPIC
									  where 		PER_ID=$PER_ID and PER_CARDNO = '$PER_CARDNO' and  PIC_SIGN=1
									  order by 	PER_PICSEQ ";
		$count_pic_sign=$db_dpis2->send_cmd($cmd);
		if($count_pic_sign>0){	
		$data2 = $db_dpis2->get_array();
		//echo $cmd . "<br>";
		$TMP_PIC_SEQ = $data2[PER_PICSEQ];
		$current_list .= ((trim($current_list))?",":"") . $TMP_PIC_SEQ;
		$T_PIC_SEQ = substr("000",0,3-strlen("$TMP_PIC_SEQ"))."$TMP_PIC_SEQ";
		$TMP_SERVER = $data2[PIC_SERVER_ID];
		$TMP_PIC_SIGN= $data2[PIC_SIGN];
		
		if ($TMP_SERVER) {
			$cmd1 = " SELECT * FROM OTH_SERVER WHERE SERVER_ID=$TMP_SERVER ";
			$db_dpis2->send_cmd($cmd1);
			$data2 = $db_dpis2->get_array();
			$tmp_SERVER_NAME = trim($data2[SERVER_NAME]);
			$tmp_ftp_server = trim($data2[FTP_SERVER]);
			$tmp_ftp_username = trim($data2[FTP_USERNAME]);
			$tmp_ftp_password = trim($data2[FTP_PASSWORD]);
			$tmp_main_path = trim($data2[MAIN_PATH]);
			$tmp_http_server = trim($data2[HTTP_SERVER]);
		} else {
			$TMP_SERVER = 0;
			$tmp_SERVER_NAME = "";
			$tmp_ftp_server = "";
			$tmp_ftp_username = "";
			$tmp_ftp_password = "";
			$tmp_main_path = "";
			$tmp_http_server = "";
		}
		$SIGN_NAME = "";
		if($TMP_PIC_SIGN==1){ $SIGN_NAME = "SIGN"; }
		if (trim($PER_ID) && trim($PER_CARDNO) != "NULL") {
			$TMP_PIC_NAME = $data2[PER_PICPATH].$PER_CARDNO."-".$SIGN_NAME.$T_PIC_SEQ.".jpg".($tmp_SERVER_NAME ? " [".$tmp_SERVER_NAME."]" : "");
			//$TMP_SHOW_PIC = ($tmp_http_server ? $tmp_http_server."/" : "").$data[PER_PICPATH].$PER_CARDNO."-".$SIGN_NAME.$T_PIC_SEQ.".jpg";
		} else {
			$TMP_PIC_NAME = $data2[PER_PICPATH].$data2[PER_GENNAME]."-".$SIGN_NAME.$T_PIC_SEQ.".jpg".($tmp_SERVER_NAME ? " [".$tmp_SERVER_NAME."]" : "");
			//$TMP_SHOW_PIC = ($tmp_http_server ? $tmp_http_server."/" : "").$data[PER_PICPATH].$PER_CARDNO."-".$SIGN_NAME.$T_PIC_SEQ.".jpg";
		}
		if(file_exists("../".$TMP_PIC_NAME)){
			$PIC_SIGN = "../".$TMP_PIC_NAME;		//	if($PER_CARDNO && $TMP_PIC_NAME)		$PIC_SIGN = "../../attachments/".$PER_CARDNO."/PER_SIGN/".$TMP_PIC_NAME;
		}
		} //end count	
		//echo $TMP_PIC_SIGN. "../".$TMP_PIC_NAME . "<BR>";
	return $PIC_SIGN;
	}
	
	$cmd = " select		a.PN_CODE, a.PER_NAME, a.PER_SURNAME, a.LEVEL_NO, b.POS_NO_NAME, b.POS_NO, b.PL_CODE, b.ORG_ID,
										SAH_SALARY_MIDPOINT, SAH_PERCENT_UP, SAH_SALARY_UP, SAH_SALARY, 
										SAH_SALARY_EXTRA, SAH_DOCNO, SAH_DOCDATE, SAH_REMARK, c.MOV_CODE, a.DEPARTMENT_ID
					  from			PER_PERSONAL a, $position_table b, PER_SALARYHIS c
					  where		$position_join and a.PER_ID=c.PER_ID and PER_TYPE = 1 and PER_STATUS = 1 and 
										SAH_KF_YEAR = '$search_budget_year' and SAH_KF_CYCLE = $KF_CYCLE
					  $search_condition
					  order by a.PER_NAME, a.PER_SURNAME ";	
	$count_data = $db_dpis->send_cmd($cmd);
 	//  $db_dpis->show_error();
   
   //echo $cmd;
	if($count_data){
		$data_count = 0;
		while ($data = $db_dpis->get_array()) {
			$data_count++;

			$PN_CODE = trim($data[PN_CODE]);
			$LEVEL_NO = trim($data[LEVEL_NO]);
			$POS_NO = trim($data[POS_NO_NAME]).' '.trim($data[POS_NO]);
			$PL_CODE = trim($data[PL_CODE]);
			$ORG_ID = $data[ORG_ID];
			$SAH_SALARY_MIDPOINT = $data[SAH_SALARY_MIDPOINT]?number_format($data[SAH_SALARY_MIDPOINT],2):" ";
			$SAH_PERCENT_UP = $data[SAH_PERCENT_UP]?number_format($data[SAH_PERCENT_UP],4):" ";
			$SAH_SALARY_UP = $data[SAH_SALARY_UP]?number_format($data[SAH_SALARY_UP],2):" ";
			$SAH_SALARY = $data[SAH_SALARY]?number_format($data[SAH_SALARY],2):" ";
			$SAH_SALARY_EXTRA = $data[SAH_SALARY_EXTRA]?number_format($data[SAH_SALARY_EXTRA],2):" ";
			$PER_SALARY = $data[SAH_SALARY] - $data[SAH_SALARY_UP];
			$PER_SALARY = number_format($PER_SALARY,2);
			$SAH_DOCNO = trim($data[SAH_DOCNO]);
			$SAH_DOCDATE = show_date_format(trim($data[SAH_DOCDATE]),$DATE_DISPLAY);
			$SAH_REMARK = trim($data[SAH_REMARK]);
			$MOV_CODE = trim($data[MOV_CODE]);
			$SIGN_DATE = trim($data[SAH_DOCDATE]);
			$TMP_DEPARTMENT_ID = $data[DEPARTMENT_ID];

			$cmd = "select PN_NAME from PER_PRENAME where PN_CODE = '$PN_CODE'";
			$db_dpis2->send_cmd($cmd);
			$data2  = $db_dpis2->get_array();
			$PN_NAME = $data2[PN_NAME];
			$PER_NAME = "$PN_NAME$data[PER_NAME] $data[PER_SURNAME]";
	
			$cmd = "select LEVEL_NAME, POSITION_LEVEL from PER_LEVEL where LEVEL_NO = '$LEVEL_NO'";
			$db_dpis2->send_cmd($cmd);
			$data2  = $db_dpis2->get_array();
			$LEVEL_NAME = $data2[LEVEL_NAME];
			$POSITION_LEVEL = $data2[POSITION_LEVEL];
			if (!$POSITION_LEVEL) $POSITION_LEVEL = $LEVEL_NAME;
	
			$cmd = "	select PL_NAME from PER_LINE where	PL_CODE='$PL_CODE' ";
			$db_dpis2->send_cmd($cmd);
			$data2 = $db_dpis2->get_array();
			$PL_NAME = trim($data2[PL_NAME]). $POSITION_LEVEL;

			$cmd = "	select ORG_NAME from PER_ORG where ORG_ID=$ORG_ID ";
			if($select_org_structure==1)	 $cmd = str_replace("PER_ORG", "PER_ORG_ASS", $cmd);
			$db_dpis2->send_cmd($cmd);
			$data2 = $db_dpis2->get_array();
			$ORG_NAME = trim($data2[ORG_NAME]);
	
			$cmd = " select ORG_ID_REF, ORG_NAME  from PER_ORG where ORG_ID=$TMP_DEPARTMENT_ID ";
			if($select_org_structure==1)	 $cmd = str_replace("PER_ORG", "PER_ORG_ASS", $cmd);
			$db_dpis2->send_cmd($cmd);
			$data2 = $db_dpis2->get_array();
			$DEPARTMENT_NAME = $data2[ORG_NAME];
	
			$MINISTRY_ID = $data2[ORG_ID_REF];
			$cmd = " select ORG_NAME from PER_ORG where ORG_ID=$MINISTRY_ID ";
			if($select_org_structure==1)	 $cmd = str_replace("PER_ORG", "PER_ORG_ASS", $cmd);
			$db_dpis2->send_cmd($cmd);
			$data2 = $db_dpis2->get_array();
			$MINISTRY_NAME = $data2[ORG_NAME];
		
			$pdf->SetFont($font,'',18);
			$pdf->SetTextColor(hexdec("00"),hexdec("00"),hexdec("00"));

			$this_y = $pdf->y;
			$this_x = $pdf->x;
			if($img_file){
				$image_x = $pdf->x;		$image_y = $pdf->y;		$image_w = 30;			$image_h = 35;
				$pdf->Image($img_file, $image_x, $image_y, $image_w, $image_h);
			} // end if

			$pdf->x = $this_x+35;
			$pdf->y = $this_y;
			$pdf->SetFont($font,'',18);
			$pdf->SetTextColor(hexdec("00"),hexdec("00"),hexdec("00"));
			$pdf->Cell(35 ,28," ",0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35,7,"-ʡ :  ",0,0,"L");
			$pdf->Cell(35,7,$PER_NAME,0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35, 7, "˹ :  ", 0, 0, "L");
			$pdf->Cell(35, 7, $PL_NAME, 0, 1, "L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35 , 7, "ѧѴ :  ",0,0,"L");
			$pdf->Cell(35 , 7, $ORG_NAME,0,1,"L");
			
			$pdf->x = $this_x+35;
			$pdf->Cell(35 , 7," ",0,0,"L");
			$pdf->Cell(35 , 7,$DEPARTMENT_NAME,0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35 , 14," ",0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"--------------------------------------------------------------------------------------------------------------------",0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->SetFont($font,'',22);
			$pdf->SetTextColor(hexdec("00"),hexdec("00"),hexdec("00"));
			$pdf->Cell(140 ,7,"˹ѧ駼š͹Թ͹",0,1,"C");

			$pdf->SetFont($font,'',18);
			$pdf->SetTextColor(hexdec("00"),hexdec("00"),hexdec("00"));
			
			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"ͺûԹ :  ",0,0,"L");
			$pdf->Cell(35 ,7,"ͺ  ".convert2thaidigit($KF_CYCLE),0,0,"L");
			$pdf->Cell(40 ,7,convert2thaidigit("$KF_START_DATE"."  ֧ :  $KF_END_DATE"),0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"Ţ :  ",0,0,"L");
			$pdf->Cell(35 ,7,convert2thaidigit($SAH_DOCNO),0,0,"L");
			$pdf->Cell(40 ,7,"ŧѹ  ".convert2thaidigit($SAH_DOCDATE),0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35,7,"-ʡ :  ",0,0,"L");
			$pdf->Cell(35,7,$PER_NAME,0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35, 7, "˹ :  ", 0, 0, "L");
			$pdf->Cell(35, 7, $PL_NAME, 0, 1, "L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"Ţ˹ :  ",0,0,"L");
			$pdf->Cell(35 ,7,convert2thaidigit($POS_NO),0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35 , 7, "ѧѴ :  ",0,0,"L");
			$pdf->Cell(35 , 7, $ORG_NAME,0,1,"L");
			
			$pdf->x = $this_x+35;
			$pdf->Cell(35 , 7," ",0,0,"L");
			$pdf->Cell(35 , 7,$DEPARTMENT_NAME,0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"Թ͹ (ҷ) :  ",0,0,"L");
			$pdf->Cell(35 ,7,convert2thaidigit($PER_SALARY),0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"        Ѻ͹Թ͹",0,1,"L");
			if ($MOV_CODE != "21375")
				$pdf->Image("../images/checkbox_check.jpg", 41, ($pdf->y - 6), 4, 4,"jpg");
			else
				$pdf->Image("../images/checkbox_blank.jpg", 41, ($pdf->y - 6), 4, 4,"jpg");
			
			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7," ",0,1,"L");

			$pdf->SetTextColor(hexdec("00"),hexdec("66"),hexdec("CC"));
			$pdf->SetFillColor(hexdec("EE"),hexdec("EE"),hexdec("FF"));
			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"ҹ㹡äӹǳ",'LTR',0,'C',1);
			$pdf->Cell(25 ,7,"",'LTR',0,'C',1);
			$pdf->Cell(60 ,7,"ӹǹԹ",'LTRB',0,'C',1);
			$pdf->Cell(30 ,7,"Թ͹Ѻ",'LTR',1,'C',1);
	
			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"(ҷ)",'LBR',0,'C',1);
			$pdf->Cell(25 ,7,"͹",'LBR',0,'C',1);
			$pdf->Cell(30 ,7,"Թ͹",'LTBR',0,'C',1);
			$pdf->Cell(30 ,7,"Թҵͺ᷹",'LTBR',0,'C',1);
			$pdf->Cell(30 ,7,"(ҷ)",'LBR',1,'C',1);

			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"",'LBR',0,'C',1);
			$pdf->Cell(25 ,7,"",'LBR',0,'C',1);
			$pdf->Cell(30 ,7,"͹ (ҷ)",'LBR',0,'C',1);
			$pdf->Cell(30 ,7," (ҷ)",'LBR',0,'C',1);
			$pdf->Cell(30 ,7,"",'LBR',1,'C',1);

			$pdf->SetTextColor(hexdec("00"),hexdec("00"),hexdec("00"));
			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,convert2thaidigit($SAH_SALARY_MIDPOINT),'LBR',0,'C');
			$pdf->Cell(25 ,7,convert2thaidigit($SAH_PERCENT_UP),'LBR',0,'C');
			$pdf->Cell(30 ,7,convert2thaidigit($SAH_SALARY_UP),'LBR',0,'C');
			$pdf->Cell(30 ,7,convert2thaidigit($SAH_SALARY_EXTRA),'LBR',0,'C');
			$pdf->Cell(30 ,7,convert2thaidigit($SAH_SALARY),'LBR',1,'C');

			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7," ",0,1,"L");

			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,"        óշѺ͹Թ͹ ͧҡ (˵ؼ)......................................................",0,1,"L");
			if ($MOV_CODE == "21375")
				$pdf->Image("../images/checkbox_check.jpg", 41, ($pdf->y - 6), 4, 4,"jpg");
			else
				$pdf->Image("../images/checkbox_blank.jpg", 41, ($pdf->y - 6), 4, 4,"jpg");
			
			$pdf->x = $this_x+35;
			if ($SAH_REMARK)
				$pdf->Cell(35 , 7, $SAH_REMARK,0,1,"L");
			else
				$pdf->Cell(35 ,7,".................................................................................................................................................",0,1,"L");
			
			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,7,".................................................................................................................................................",0,1,"L");

/*
			$pdf->x = $this_x+35;
			$pdf->Cell(35 ,12,"",0,1,"L");
			$pdf->Image("../images/sign_up_salary$RPT_N.jpg", 110, ($pdf->y - 6), 85, 38,"jpg");
*/	
			
		// Ҽ˹ҷԹ
		//print("<pre>"); print_r($SESS_E_SIGN); print("</pre>");		// 1-> ẺԹšûԺѵҪ   2->   3->ԻԹ͹   4->˹ѧ駼š͹Թ͹  5->˹ѧѺͧ 		
			$PIC_SIGN=$SIGN_NAME=$SIGN_POSITION=$PIC_SIGN_PER=""; 
			$SIGN_TYPE = 2;	 // type ˹ѧ駼š͹Թ͹
			//繤 ˹ҷԹ  NVL
			$cmd = " select PER_ID, SIGN_NAME, SIGN_POSITION from PER_SIGN 
							where DEPARTMENT_ID = $TMP_DEPARTMENT_ID and SIGN_TYPE = '$SIGN_TYPE' and SIGN_PER_TYPE = $search_per_type and ((SIGN_ENDDATE IS NOT NULL and ('$SIGN_DATE' between SIGN_STARTDATE and SIGN_ENDDATE or '$SIGN_DATE' between SIGN_STARTDATE and SIGN_ENDDATE)) or (SIGN_ENDDATE IS NULL and '$SIGN_DATE' >= SIGN_STARTDATE))
							order by SIGN_STARTDATE desc, SIGN_ENDDATE desc ";	
			$count_exist=$db_dpis2->send_cmd($cmd);
			//echo "$count_exist -> $cmd";
			if($count_exist>0){
				$data2 = $db_dpis2->get_array();
				$SIGN_PER_ID = $data2[PER_ID];
				$SIGN_NAME  = trim($data2[SIGN_NAME]);
				$SIGN_POSITION  = trim($data2[SIGN_POSITION]);
				if($SIGN_PER_ID && $SESS_E_SIGN[4]==1){ // ٻẺͧ繵礷͹ԡ
					//  PER_CARDNO
					$cmd = " select 	PER_CARDNO from PER_PERSONAL where PER_ID=$SIGN_PER_ID ";
					$db_dpis2->send_cmd($cmd);	
					$data2 = $db_dpis2->get_array();
					$SIGN_PER_CARDNO = trim($data2[PER_CARDNO]);

					//echo "$cmd ->$SIGN_FULL_NAME ".$SESS_E_SIGN[4];
					$PIC_SIGN_PER = getPIC_SIGN($SIGN_PER_ID,$SIGN_PER_CARDNO);
				}
			} 
		
//$pdf->x = $this_x+35;
			$pdf->Cell(35 ,12,"",0,1,"L");
	//		$pdf->Cell(35, 10, "", 0, 1, 'C', 0);
//echo $SIGN_PER_ID ." " . $SIGN_PER_CARDNO . "<br>";

			if($PIC_SIGN_PER){  // ٻ
				$pdf->Cell(100, 7, "", 0, 0, 'L', 0);		//space
				$pdf->Cell(30, 15, "ŧ", 0, 0, 'L', 0);
				$pdf->Image($PIC_SIGN_PER,($pdf->x-15), ($pdf->y+1), 40, 15,"jpg");	// Original size = wxh (60x15)
				//$save_x = $pdf->x;		$save_y = $pdf->y;
				//$pdf->x += 5;			$pdf->y -= 15;
				$pdf->Cell(10, 15, "", 0, 1, 'L', 0);
			}else{
				$pdf->Cell(100, 7, "", 0, 0, 'L', 0);		//space
				$pdf->Cell(30, 15, "ŧ.......................................................", 0, 0, 'L', 0);
				$pdf->Cell(50, 15, "", 0, 1, 'L', 0);
			}

			if ($SIGN_NAME){	
				$pdf->Cell(115,15, "", 0, 0, 'L', 0);
				$pdf->Cell(40,12,"($SIGN_NAME)",0,0,"C");
				$pdf->Cell(10, 7, "", 0, 1, 'L', 0);
			}else{
				$pdf->Cell(115,15, "", 0, 0, 'L', 0);
				$pdf->Cell(40,12,"(.......................................................)",0,0,"C");
				$pdf->Cell(10, 7, "", 0, 1, 'L', 0);
			}
			$pdf->Cell(115,15, "", 0, 0, 'L', 0);
			$pdf->Cell(40,12,"$SIGN_POSITION",0,0,"C");
			$pdf->Cell(10,7, "", 0, 1, 'L', 0);
			
			if ($search_sah_docdate) $SAH_DOCDATE = show_date_format(save_date($search_sah_docdate),$DATE_DISPLAY);
			$pdf->Cell(115,15, "", 0, 0, 'L', 0);
			$pdf->Cell(40 ,12,"ŧѹ  ".convert2thaidigit($SAH_DOCDATE),0,0,"C");
			$pdf->Cell(10,7, "", 0, 1, 'L', 0);
			
			/***********
			$pdf->x = $this_x+35;
			$pdf->Cell(150 ,7,"ŧ .......................................................",0,1,"R");

			$pdf->x = $this_x+35;
			$pdf->Cell(150 ,7,"(ѧѺѭҼӹҨ͹Թ͹ͼѺͺ)",0,1,"R");

			$pdf->x = $this_x+35;
			$pdf->Cell(150 ,7,"ѹ .......................................................",0,1,"R");
			************/
  
			if ($data_count < $count_data) $pdf->AddPage();
		} // end loop while $data
	}else{
		$pdf->SetFont($font,'b',16);
		$pdf->SetTextColor(hexdec("00"),hexdec("00"),hexdec("00"));
		$pdf->Cell(200,10,"********** բ **********",0,1,'C');
	} // end if

	$pdf->close();
	$pdf->Output();
?>